/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Benjamin Grauer
   co-programmer: ...
*/

//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_

#include "shell.h"

using namespace std;


/**
 * standard constructor
 */
Shell::Shell ()
{
   this->setClassID(CL_SHELL, "Shell");
}


Shell* Shell::singletonRef = NULL;

/**
 * standard deconstructor
 */
Shell::~Shell ()
{
  // delete what has to be deleted here

  Shell::singletonRef = NULL;
}




void setBufferDisplaySize(unsigned int bufferDisplaySize);

/**
 * deletes all the Buffers
 */
void Shell::flushBuffers()
{

}

/**
 * adds a new Line to the List of Buffers
 * @param line the Line as in the first argument in printf
 * @param args the arguments as a va_list
 */
void Shell::addBufferLine(const char* line, va_list args)
{
}

/**
 * moves the buffer around lineCount lines upwards (negative values move down)
 * @param lineCount the Count of lines to move upwards
 */
void Shell::moveBuffer(int lineCount)
{
}

/**
 * @param lineNumber the n-th line from the bottom
 * @returns the Buffer at Line lineNumber
 */
const char* Shell::getBufferLine(unsigned int lineNumber)
{
}


/**
 * deletes the InputLine
 */
void Shell::flushInputLine()
{
}

/**
 * adds one character to the inputLine
 * @param character the character to add to the inputLine
 */
void Shell::addCharacter(char character)
{
}

/**
 * adds multiple Characters to thr inputLine
 * @param characters a '\0' terminated char-array to add to the InputLine
 */
void Shell::addCharacters(const char* characters)
{
}

/**
 * removes characterCount characters from the InputLine
 * @param characterCount the count of Characters to remove from the input Line
 */
void Shell::removeCharacters(unsigned int characterCount)
{
}


/**
 * ticks the Shell for dt Seconds
 * @param dt the elapsed time since the last tick();
 */
void Shell::tick(float dt)
{
}

/**
 * displays the Shell
 */
void Shell::draw() const
{
}


/**
 * autocompletes the Shell's inputLine
 * @returns true, if a result was found, false otherwise
 */
bool Shell::autoComplete()
{

}

/**
 * displays some nice output from the Shell
 */
void Shell::debug() const
{

}
